Update single appointment
curl --request PUT \
--url https://api.splose.com/v1/appointments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2024-08-28T01:15:00.000Z",
"end": "2024-09-22T11:45:00.000Z",
"serviceId": 1,
"locationId": 1,
"practitionerId": 1,
"caseId": 1,
"patientId": 1
}
'import requests
url = "https://api.splose.com/v1/appointments/{id}"
payload = {
"start": "2024-08-28T01:15:00.000Z",
"end": "2024-09-22T11:45:00.000Z",
"serviceId": 1,
"locationId": 1,
"practitionerId": 1,
"caseId": 1,
"patientId": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '2024-08-28T01:15:00.000Z',
end: '2024-09-22T11:45:00.000Z',
serviceId: 1,
locationId: 1,
practitionerId: 1,
caseId: 1,
patientId: 1
})
};
fetch('https://api.splose.com/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
1Appointment
Update single appointment
Update single appointment
Update single appointment
1Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x > 0Example:
1
Body
application/json
Appointment start date time (UTC)
Example:
"2024-08-28T01:15:00.000Z"
Appointment end date time (UTC)
Example:
"2024-09-22T11:45:00.000Z"
The service id of this appointment
Required range:
x > 0Example:
1
The location id of this appointment
Required range:
x > 0Example:
1
The practitioner id of this appointment
Required range:
x > 0Example:
1
The case id of this appointment
Required range:
x > 0Example:
1
The patient id of this appointment
Required range:
x > 0Example:
1
Response
200 - text
Return 1 on success
The response is of type enum<number>.
Available options:
1 ⌘I